Package org.wso2.carbon.deployment.synchronizer.services

## Interface DeploymentSynchronizerService

- All Known Implementing Classes:
    `DeploymentSynchronizerServiceImpl`

      public interface DeploymentSynchronizerService

  Interface of the OSGi service registered by the deployment synchronizer component. Other components can use this service interface to fetch runtime status information related to various repository synchronizer instances managed by the deployment synchronizer.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `checkout​(String filePath)` | Invoke the checkout operation on the specified repository
    `boolean` | `checkout​(String filePath, int depth)` | Deprecated.
    `boolean` | `commit​(String filePath)` | Invoke the commit operation on the specified repository
    `boolean` | `commit​(String rootPath, String filePath)` | Invoke the commit operation on the specified repository at rootPath, with the given filePath to commit.
    `long` | `getLastCheckoutTime​(String filePath)` | Gets the time at which the checkout operation was last invoked on the given repository
    `long` | `getLastCommitTime​(String filePath)` | Gets the time at which the commit operation was last invoked on the given repository
    `boolean` | `isAutoCheckoutOn​(String filePath)` | Check whether auto checkout has been engaged on the specified repository
    `boolean` | `isAutoCommitOn​(String filePath)` | Check whether auto commit has been engaged on the specified repository
    `boolean` | `synchronizerExists​(String filePath)` | Checks whether a deployment synchronizer has been engaged on the specified path
    `boolean` | `update​(String rootPath, String filePath, int depth)` | Deprecated.

- - ### Method Detail

    - #### synchronizerExists

          boolean synchronizerExists​(String filePath)

      Checks whether a deployment synchronizer has been engaged on the specified path
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        true if a DeploymentSynchronizer instance has been created on the specified path

    - #### isAutoCommitOn

          boolean isAutoCommitOn​(String filePath)
                          throws DeploymentSynchronizerException

      Check whether auto commit has been engaged on the specified repository
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        true if auto commit is enabled on repository and false otherwise
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path

    - #### isAutoCheckoutOn

          boolean isAutoCheckoutOn​(String filePath)
                            throws DeploymentSynchronizerException

      Check whether auto checkout has been engaged on the specified repository
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        true if auto checkout is enabled on repository and false otherwise
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path

    - #### getLastCommitTime

          long getLastCommitTime​(String filePath)
                          throws DeploymentSynchronizerException

      Gets the time at which the commit operation was last invoked on the given repository
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        a long timestamp value
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path

    - #### getLastCheckoutTime

          long getLastCheckoutTime​(String filePath)
                            throws DeploymentSynchronizerException

      Gets the time at which the checkout operation was last invoked on the given repository
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        a long timestamp value
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path

    - #### checkout

          boolean checkout​(String filePath)
                    throws DeploymentSynchronizerException

      Invoke the checkout operation on the specified repository
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        true if files were checked out or updated, false otherwise
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path

    - #### checkout

          @Deprecated
          boolean checkout​(String filePath,
                           int depth)
                    throws DeploymentSynchronizerException

      Deprecated.
      This method is deprecated. This was introduced to enable partial update. That feature has been removed. Users should use `checkout(String)` method.
      Throws:
        `DeploymentSynchronizerException`

    - #### update

          @Deprecated
          boolean update​(String rootPath,
                         String filePath,
                         int depth)
                  throws DeploymentSynchronizerException

      Deprecated.
      This method is deprecated. This was introduced to enable partial update. That feature has been removed. Users should use `checkout(String)` method.
      Throws:
        `DeploymentSynchronizerException`

    - #### commit

          boolean commit​(String filePath)
                  throws DeploymentSynchronizerException

      Invoke the commit operation on the specified repository
      Parameters:
        `filePath` - Location of the repository in file system
      Returns:
        true if file changes were committed, false otherwise
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path

    - #### commit

          boolean commit​(String rootPath,
                         String filePath)
                  throws DeploymentSynchronizerException

      Invoke the commit operation on the specified repository at rootPath, with the given filePath to commit. This will only commit the filePath in the given repository.
      Parameters:
        `rootPath` - repo path at which the dep synch is registered
        `filePath` - Location of the repository in file system
      Returns:
        rue if file changes were committed, false otherwise
      Throws:
        `DeploymentSynchronizerException` - if a deployment synchronizer does not exist for the specified path